Can't install Ruby in any way

Hi, I’m doing the " Setting up a Development Environment" section but i can’t install ruby.

First of all i’m on Windows which i understand is not optimal but i suppose it should still be possible to work with.

So this is what i did:

  1. Installed Git for Windows from the official site, which provides git bash and a git GUI(from now on i’ll use Git Bash).

  2. Then i followed instructions about rbenv.
    When i check the status with rbenv-doctor everything is fine (check the image below).

  3. So apparently everything is fine (and up to date) but when i try to install ruby with rbenv install i get the following error:

I tried with version 2.5.1 (as the tutorial suggests), 2.5.3 and 2.6.0-rc1 with no success.

Notes:

  1. When i tried to install Ruby at first i had an error about command “make” missing. I ‘solved’ adding to the PATH ‘make.exe’ provided with GnuWin32.

  2. I also tried other paths…I installed github for desktop, installed CygWin (but i can’t even use rbenv on it); i tried “RubyInstaller” too but it’s not helping me in any way (probably i just don’t understand what i’m doing at this point).

I’m sorry if it’s a stupid mistake but i can’t catch what’s wrong so please, i need help.

Thanks a lot! :slight_smile:

Hi @Farlokko,

We’re only equipped to help out students running Mac or Ubuntu (stand alone or a dual boot). You can also try out running Ubuntu in a virtual machine.

Good luck!
Matthew